﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano			'ignore
	
	Private btnStartLoader As VBtn		'ignore
	Private btnStopLoader As VBtn		'ignore
	Private VueTable1 As VueTable		'ignore
End Sub

Sub Initialize(v As VuetifyApp)						'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'make this the start page
	page.StartPage
	path = page.path

	'build the page html here
	banano.LoadLayout(page.Here, "home")
	'IMPORTANT
	VueTable1.ParentComponent = page
	VueTable1.BindState(page)
	
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub	


Private Sub btnStop_Click (e As BANanoEvent)			'ignoreDeadCode
	Dim Cols As Map = CreateMap("id":"ID","name":"Name","address":"Address","email":"E-mail","tel":"Tel")
	
	VueTable1.Reset
	For Each ColName As String In Cols.Keys
		VueTable1.AddColumn(ColName, Cols.Get(ColName))
	Next
	VueTable1.RefreshHeaders
	
	VueTable1.UpdateTitle("USER details")
	
	'popolate table
	For i=0 To 21
		Dim Row As Map = CreateMap("id":i,"name": "User " & i, "address":"Street " & Rnd(10,99),"email":"address@domain.org","tel":"+00 000000")
		VueTable1.AddItem(Row)
	Next
End Sub

Private Sub btnStart_Click (e As BANanoEvent)			'ignoreDeadCode
	Dim Cols As Map = CreateMap("id":"ID","brand":"Brand","url":"URL","email":"E-mail")
	
	VueTable1.Reset
	For Each ColName As String In Cols.Keys
		VueTable1.AddColumn(ColName, Cols.Get(ColName))
	Next
	VueTable1.RefreshHeaders
	
	VueTable1.UpdateTitle("BRAND details")
	
	'popolate table
	Dim Rows As List
	Rows.Initialize
	For i=0 To 15
		Dim Row As Map = CreateMap("id":i,"brand": "Brand " & i, "url":"www.brand-" & i & ".org","email":"info@brand" & i & ".org")
		Rows.Add(Row)
	Next
	VueTable1.Reload(Rows)
End Sub

